#ifndef __CONFIG_H__
#define __CONFIG_H__

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <fcntl.h>

#define IMG_FTP_MONITOR "up.bmp"

#define DEBUG

#define DELAY 1000 	/* (500 ms) max value is 25 ms      		 */
#define FTP_RATE 15	/* (10*500ms) tempo salvataggio FTP 10s       	 */
#define MIN_FTP_PERSISTENT 40 /* for auto settings of type of connection */

struct config_t {
	int	enable_ftp;
	int	enable_ftp_monitor;
	char	host[128];
	char	user[128];
	char	password[128];
	char	mode ;
	char	local_file[128];
	char	remote_file[128];
	char	remote_tmp_file[128];
	char    dev[128];
	int	ftp_rate;
	int	x,y,bpp;
	int	ftp_persistent;
	int	jpg_quality;
};

/* read the configuration file */
struct config_t* load_conf_from_file( const char* file );

#ifdef DEBUG
void show_conf( struct config_t* c );
#endif

#endif
